version: "3.7"

services: 
  document_search_ui:
    build:
      context: .
      dockerfile: Dockerfile
      network: host
    image: skr_gui:latest
    restart: unless-stopped
    container_name: skr_gui_container
    # external_links:
    #   - "skr_document_search_container"
    #   - "skr_classifier_container"
    volumes: 
      - ./:/app:rw
    ports:
      - 3000:3000
    stdin_open: true
    network_mode: "host"
    command: npm start